/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.security.jacc;

import java.security.Permission;
import java.security.ProtectionDomain;
import java.util.Map;
import javax.security.jacc.PolicyConfiguration;
import javax.security.jacc.PolicyContextException;


/**
 * @version $Rev: 161781 $ $Date: 2005-04-18 12:41:43 -0600 (Mon, 18 Apr 2005) $
 */

public interface GeronimoPolicyConfiguration extends PolicyConfiguration {

    boolean implies(ProtectionDomain domain, Permission permission);

    void open(boolean remove);

    void setPrincipalRoleMapping(Map principalRoleMap) throws PolicyContextException;
}